// Copyright (C) 2010 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// %TFLNUMB_string --
//   Returns the string containing the floating point number.
//
function str = %TFLNUMB_string ( flpn )
  str = []
  k = 1
  str(k) = sprintf("Floating Point Number:")
  k = k + 1
  str(k) = sprintf("======================")
  k = k + 1
  flps = flpn.flps;
  str(k) = sprintf("s= %s", _tostring(flpn.s))
  k = k + 1
  str(k) = sprintf("M= %s", _tostring(flpn.M))
  k = k + 1
  str(k) = sprintf("m= %s", _tostring(flpn.m))
  k = k + 1
  str(k) = sprintf("e= %s", _tostring(flpn.e))
  k = k + 1
  str(k) = sprintf("d= %s", _tostring(flpn.d))
  k = k + 1
  str(k) = sprintf("flps= floating point system")
  k = k + 1
  str(k) = sprintf("======================")
  k = k + 1
  str(k) = sprintf("x= (-1)^%s * %s * %s^%s", ..
    _tostring(flpn.s) , _tostring(flpn.m) , _tostring(flps.radix) , _tostring(flpn.e) )
  k = k + 1
  str(k) = sprintf("x= %s * %s^(%s-%s+1)", ..
    _tostring(flpn.M) , _tostring(flps.radix) , _tostring(flpn.e) , _tostring(flps.p) )
  k = k + 1
  str(k) = sprintf("x= (-1)^%s * (%s.%s)_%s * %s^%s", ..
    _tostring(flpn.s) , _tostring(flpn.d(1)) , _tostring(flpn.d(2:$)) , ..
    _tostring(flps.radix) , _tostring(flps.radix) , _tostring(flpn.e))
  k = k + 1
endfunction

function bool = _mlist_isfield ( s , fieldname ) 
  // Get the matrix of integers representing defined fields
  df = definedfields ( s )
  // Search for the index ifield associated with given fieldname
  ifield = find(s(1)==fieldname)
  // Search for ifield in the matrix of defined fields
  jj = find(df==ifield)
  bool = jj <> []
endfunction
function s = _tostring ( x )
  if ( x==[] ) then
    s = "[]"
  else
    n = size ( x , "*" )
    if ( n == 1 ) then
      s = string(x)
    else
      s = "["+strcat(string(x)," ")+"]"
    end
  end
endfunction


