// Copyright (C) 2008 - 2010 - Michael Baudin

function flps = flps_IEEEdouble ( )
  //   Returns the floating point system for a IEEE double.
  //
  // Calling Sequence
  //   flps = flps_IEEEdouble ( )
  //
  // Parameters
  //   flps: a new floating point system
  //
  // Description
  //   Returns the floating point system for a IEEE double.
  //
  // Examples
  // flps = flps_IEEEdouble ( )
  //
  // Authors
  // Michael Baudin, 2008 - 2010
  //
  // Bibliography
  //   "Handbook of floating-point arithmetic", Jean-Michel Muller, Nicolas Brisebarre, Florent de Dinechin, Claude-Pierre Jeannerod, Vincent Lefevre, Guillaume Melquiond, Nathalie Revol, Damien Stehle, Serge Torres, Birkhauser Boston, 2010

  flps = flps_systemnew ( );
  flps.radix = 2
  flps.p = 53
  flps.emin = -1022
  flps.emax = 1023
  flps.vmin = 2.225073858507201383e-308
  flps.vmax = 8.988465674311579539e+307
  flps.eps = 2.22044604925031310E-016
  flps.r = 1
  flps.gu = %t
  flps.alpha = 4.940656458412465442e-324
endfunction

