// Copyright (C) 2008 - 2010 - Michael Baudin

function flps = flps_IEEEsingle ( )
  //   Returns the floating point system for a IEEE single.
  //
  // Calling Sequence
  //   flps = flps_IEEEsingle ( )
  //
  // Parameters
  //   flps: a new floating point system
  //
  // Description
  //   Returns the floating point system for a IEEE single.
  //
  // Examples
  // flps = flps_IEEEsingle ( )
  //
  // Authors
  // Michael Baudin, 2008 - 2010
  //
  // Bibliography
  //   "Handbook of floating-point arithmetic", Jean-Michel Muller, Nicolas Brisebarre, Florent de Dinechin, Claude-Pierre Jeannerod, Vincent Lefevre, Guillaume Melquiond, Nathalie Revol, Damien Stehle, Serge Torres, Birkhauser Boston, 2010


  flps = flps_systemnew ( );
  flps.radix = 2
  flps.p = 24
  flps.emin = -126
  flps.emax = 127
  flps.vmin = 1.175494350822287508e-38
  flps.vmax = 1.701411834604692317e+38
  flps.eps = 1.19209289550781250e-007
  flps.r = 1
  flps.gu = %t
  flps.alpha = 1.401298464324817071e-45
endfunction

