// Copyright (C) 2008 - 2010 - Michael Baudin
// <-- JVM NOT MANDATORY -->

//
// assert_close --
//   Returns 1 if the two real matrices computed and expected are close,
//   i.e. if the relative distance between computed and expected is lesser than epsilon.
// Arguments
//   computed, expected : the two matrices to compare
//   epsilon : a small number
//
function flag = assert_close ( computed, expected, epsilon )
  if expected==0.0 then
    shift = norm(computed-expected);
  else
    shift = norm(computed-expected)/norm(expected);
  end
  if shift < epsilon then
    flag = 1;
  else
    flag = 0;
  end
  if flag <> 1 then pause,end
endfunction

//
// assert_equal --
//   Returns 1 if the two real matrices computed and expected are equal.
// Arguments
//   computed, expected : the two matrices to compare
//   epsilon : a small number
//
function flag = assert_equal ( computed , expected )
  if computed==expected then
    flag = 1;
  else
    flag = 0;
  end
  if flag <> 1 then pause,end
endfunction

// Check the default constructor and the printer system
flpn = flps_numbernew ()
flpn.s = 0

// A toy system, including denormals and negative
r = 2;
p = 3;
e = 3;
flps = flps_format2system ( r , p , e );
flpn = flps_numbernew ( "integral" , flps , 4 , 2 );
assert_equal ( flpn.M , 4 );
assert_equal ( flpn.e , 2 );
assert_equal ( flpn.s , 0 );
assert_equal ( flpn.m , 1 );
flpn
string(flpn)

// A toy system, including denormals and negative
r = 2;
p = 3;
e = 3;
flps = flps_format2system ( r , p , e );
flpn = flps_numbernew ( "signm" , flps , 0 , 1 , 2 );
assert_equal ( flpn.M , 4 );
assert_equal ( flpn.e , 2 );
assert_equal ( flpn.s , 0 );
assert_equal ( flpn.m , 1 );
flpn
string(flpn)

